org.gradle.tooling.model.idea

## Interface IdeaSourceDirectory

- All Superinterfaces:
    SourceDirectory

      public interface IdeaSourceDirectory
      extends SourceDirectory

  IDEA source directory.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isGenerated()` Return `true` if this source directory is generated.

    - ### Methods inherited from interface org.gradle.tooling.model.SourceDirectory

      `getDirectory`

- - ### Method Detail

    - #### isGenerated

          @Incubating
          boolean isGenerated()

      Return `true` if this source directory is generated.
      Returns:
        true if source directory is generated
      Since:
        2.2